SDL_HINT_JOYSTICK_BLACKLIST_DEVICES(3)

NAME
SDL_HINT_JOYSTICK_BLACKLIST_DEVICES - A variable containing a list of devices that should not be considerd joysticks.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_JOYSTICK_BLACKLIST_DEVICES SDL_JOYSTICK_BLACKLIST_DEVICES"

DESCRIPTION
The format of the string is a comma separated list of USB VID/PID pairs in hexadecimal form, e.g. 0xAAAA/0xBBBB,0xCCCC/0xDDDD The variable can also take the form of "@file", in which case the named file will be loaded and interpreted as the value of the variable. This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.0.0.